<?php include $app->getModuleRoot() . 'common/view/header.lite.html.php';?>
<div id="mainContent" class="main-row">
  <div class='main-header'>
    <h2><?php echo $lang->oidcauth->log;?></h2>
  </div>

  <?php if(empty($logList)):?>
  <div class="table-empty-tip">
    <p>
      <span class="text-muted"><?php echo $lang->noData;?></span>
    </p>
  </div>
  <?php else:?>
  <div class="main">
    <div class='detail' style='padding: 10px 10px;'>
      <form class="main-table" method="post" id="requestForm">
        <table class="table has-sort-head" id='oidcauthList'>
          <thead>
            <tr>
              <th class='w-40px'><?php echo $lang->idAB;?></th>
              <th class='w-80px'><?php echo $lang->oidcauth->loginUser;?></th>
              <th class='w-120px'><?php echo $lang->oidcauth->loginIP;?></th>
              <th class='w-100px'><?php echo $lang->oidcauth->loginTime;?></th>
            </tr>
          </thead>
          <tbody>
            <?php foreach($logList as $item):?>
            <tr>
              <td><?php echo $item->id;?></td>
              <td><?php echo zget($users, $item->createdBy, $item->createdBy);?></td>
              <td><?php echo $item->ip;?></td>
              <td><?php echo $item->createdDate;?></td>
              </td>
            </tr>
            <?php endforeach;?>
          </tbody>
        </table>
      </form>
    </div>
    <div class='table-footer'><?php echo $pager->show('right', 'pagerjs');?></div>
  </div>
  <?php endif;?>
</div>
<?php include $app->getModuleRoot() . 'common/view/footer.lite.html.php';?>
