<?php include $app->getModuleRoot() . 'common/view/header.html.php';?>
<?php include $app->getModuleRoot() . 'common/view/datatable.fix.html.php';?>

<div id="mainMenu" class="clearfix">
  <a class="btn btn-link querybox-toggle" id='bysearchTab'><i class="icon icon-search muted"></i> <?php echo $lang->requestlog->search;?></a>
</div>
<div id="mainContent" class="main-row">
  <div class="main-col">
    <div class="cell<?php if($browseType == 'bysearch') echo ' show';?>" id="queryBox" data-module="requestlog"></div>
    <?php if(empty($logList)):?>
    <div class='table-empty-tip'><?php echo $lang->requestlog->noData;?></div>
    <?php else:?>
    <?php $datatableId  = $this->moduleName . ucfirst($this->methodName);?>
    <?php $useDatatable = (isset($config->datatable->$datatableId->mode) and $config->datatable->$datatableId->mode == 'datatable');?>
    <form class="main-table table-requestlog" method="post" id="requestForm" <?php if(!$useDatatable) echo 'data-ride="table"';?>>
      <div class="table-header fixed-right">
        <nav class="btn-toolbar pull-right setting"></nav>
      </div>
      <?php
      $vars = "browseType=$browseType&param=$param&orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}";
      if($useDatatable) include $app->getModuleRoot() . 'common/view/datatable.html.php';
      $setting = $this->datatable->getSetting('requestlog');
      $widths  = $this->datatable->setFixedFieldWidth($setting);
      $columns = 0;
      ?>
      <?php if(!$useDatatable) echo '<div class="table-responsive">';?>
      <table class='table has-sort-head<?php if($useDatatable) echo ' datatable';?>' id='requestlogList' data-fixed-left-width='<?php echo $widths['leftWidth']?>' data-fixed-right-width='<?php echo $widths['rightWidth']?>'>
        <thead>
          <tr>
          <?php
          foreach($setting as $value)
          {
              if($value->show)
              {
                  $this->datatable->printHead($value, $orderBy, $vars, false);
                  $columns ++;
              }
          }
          ?>
          </tr>
        </thead>
        <tbody>
          <?php foreach($logList as $log):?>
          <tr data-id='<?php echo $log->id?>'>
            <?php foreach($setting as $value) $this->requestlog->printCell($value, $log, $useDatatable ? 'datatable' : 'table');?>
          </tr>
          <?php endforeach;?>
        </tbody>
      </table>
    </form>
    <div class='table-footer'><?php echo $pager->show('right', 'pagerjs');?></div>
    <?php endif;?>
  </div>
</div>
<?php include $app->getModuleRoot() . 'common/view/footer.html.php';?>
